//HKEY_CURRENT_USER\Software\Microsoft\Office\12.0\Excel\Security\ExcelBypassEncryptedMacroScanにDWORD 1 を追加

var shell = WScript.CreateObject( 'WScript.Shell' );
shell.RegWrite( 'HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\12.0\\Excel\\Security\\ExcelBypassEncryptedMacroScan', '1', 'REG_DWORD' );
shell.RegWrite( 'HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\14.0\\Excel\\Security\\ExcelBypassEncryptedMacroScan', '1', 'REG_DWORD' );
shell.RegWrite( 'HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\15.0\\Excel\\Security\\ExcelBypassEncryptedMacroScan', '1', 'REG_DWORD' );
shell.RegWrite( 'HKEY_CURRENT_USER\\Software\\Microsoft\\Office\\16.0\\Excel\\Security\\ExcelBypassEncryptedMacroScan', '1', 'REG_DWORD' );

//WScript.Echo("2007 Office プログラムで、暗号化された Office オープン XML ファイルに含まれているマクロが実行されないが解消");
